Distributing since 1889 • Employee Owned for Better Service
Your 1st Choice!
Sign In
Quick Search:

Shopping Cart Cart |  My Account |  View Printable Page Print
Product Detail

Critical Care Secrets. Text with Access Code

Parsons, Polly E. MD
Critical Care Secrets. Text with Access Code Cover Image
Pricing & Availability
Available: 0
This item is on order
List Price:$46.99

Email this title to a friend Email this title to a friend
Printer friendly version Printer friendly version
Book Information
Edition: 6th
Publisher: Elsevier Science Publishing Company
ISBN: 0-323-51064-7 (0323510647)
ISBN-13: 978-0-323-51064-6 (9780323510646)
Old Edition: 0-323-08500-8
Format: Question/Answer
Binding: Book with Ancillary Softcover + Internet Access Code
Copyright: 2019
Publish Date: 04/18
Bookstore Series: Secrets Series (See all titles)
Weight: 1.74 Lbs.
Pages: 704
Carton Quantity: 18
Subject Class: CCM (Critical Care Medicine)
Return Policy: Returns accepted up to 10 months This product contains software or Internet access code(s). Returns are not accepted if seal is broken or if access code revealed.
Contributing Authors: View
 
Class Specifications
ISSN Series: Secrets Series
Discipline: Hospitals
Subject Definition: Critical Care-Examination Questions
NLM Class: WX 18.2
LC Class: RC86.9
Abstract: For more than 30 years, the highly regarded Secrets Series. has provided students and practitioners in all areas of health care with concise, focused, and engaging resources for quick reference and exam review. Critical Care Secrets, 6th Edition, features the Secrets. popular question-and-answer format that also includes lists, tables, and an easy-to-read style . making reference and review quick, easy, and enjoyable.

Follow Matthews Book Co. on:
Follow Matthews Book Co. on Twitter

Copyright © 2001-2018 Matthews Book Company - All rights reserved. - 11559 Rock Island Ct., Maryland Heights, MO, 63043 - (800) MED-BOOK
Matthews Privacy Statement | Return Policy This web site is best viewed with: Internet Explorer 5.5+, Firefox 1.5+, and Netscape 6.0+